<h1><?= P_BLOG_VERSION ?>Manual</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=ja_00">索引</a> <span class="cur-tab">ライセンス</span>
</p>
<hr />
<h2>ＧＮＵ一般公有使用許諾書</h2>
<h3>1991年 6月，バージョン2</h3>
<address>
Copyright (C) 1989,1991 Free Software Foundation, Inc.
675 Mass Ave, Cambridge, MA 02139, USA *
</address>
<hr />
<p>
*【注意】現在、このバージョン2の発行者(FSF)住所は、正式に新
しい住所の59TemplePlace-Suite330,Boston,MA02111-1307,
USAに変わっている。
</p>
<hr />

<p>何人も、以下の内容を変更しないでそのまま複写する場合に限り、本使用許諾
書を複製したり頒布することができます。</p>

<h4>はじめに</h4>
<p>
ほとんどのソフトウェアの使用許諾は、ソフトウェアを共有し、変更するユー
ザの自由を奪うことを意図しています。それに対して、我々のGNU一般公有使
用許諾は、フリー・ソフトウェアを共有したり変更する自由をユーザに保証す
るためのもの、即ちフリー・ソフトウェアがそのユーザ全てにとってフリーで
あることを保証するためのものです。本使用許諾は、FreeSoftware
Foundationのほとんど全てのソフトウェアに適用されるだけでなく、プログ
ラムの作成者が本使用許諾に依るとした場合のそのプログラムにも適用するこ
とができます。（その他のFreeSoftwareFoundationのソフトウェアのいく
つかは、本許諾書ではなく、GNUライブラリ一般公有使用許諾で保護されます。）
あなたは自分のプログラムにもこれを適用できます。我々がフリー・ソフトウェ
アについて言う場合は自由のことに言及しているのであって、価格のことでは
ありません。我々の一般公有使用許諾の各条項は、次の事柄を確実に実現する
ことを目的として立案されています。
</p>
<ul>
<li>フリー・ソフトウェアの複製物を自由に頒布できること（そして、望むならあなたのこのサービスに対して対価を請求できること）。</li>
<li>ソース・コードを実際に受け取るか、あるいは、希望しさえすればそれを入手することが可能であること。</li>
<li>入手したソフトウェアを変更したり、新しいフリー・プログラムの一部として使用できること。</li>
<li>以上の各内容を行なうことができるということをユーザ自身が知っていること。</li>
</ul>

<p>
このようなユーザの権利を守るために、我々は、何人もこれらの権利を否定
したり、あるいは放棄するようにユーザに求めることはできないという制限条
項を設ける必要があります。これらの制限条項は、ユーザが、フリー・ソフト
ウェアの複製物を頒布したり変更しようとする場合には、そのユーザ自身が守
るべき義務ともなります。例えば、あなたがフリー・ソフトウェアの複製物を
頒布する場合、有償か無償かにかかわらず、あなたは自分の持っている権利を
全て相手に与えなければなりません。あなたは、相手もまたソース・コードを
受け取ったり入手できるということを認めなければなりません。さらにあなた
は、彼らが自分たちの権利を知るように、これらの条項を知らしめなければな
りません。
</p>


<p>
我々は次の２つの方法でユーザの権利を守ります。（１）ソフトウェアに著
作権を主張し、（２）本使用許諾の条項の下でソフトウェアを複製・頒布・変
更する権利をユーザに与えます。
</p>


<p>
また、各作成者や我々自身を守るために、本フリー・ソフトウェアが無保証
であることを全ての人々が了解している必要があります。さらに、他の誰かに
よって変更されたソフトウェアが頒布された場合、受領者はそのソフトウェア
がオリジナル・バージョンではないということを知らされる必要があります。
それは、他人の関与によって原開発者に対する評価が影響されないようにする
ためです。
</p>


<p>
最後に、どのフリー・プログラムもソフトウェア特許に絶えず脅かされてい
ます。我々は、フリー・プログラムの再頒布者が個人的に特許権を取得し、事
実上そのプログラムを自分の財産にしてしまうという危険を避けたいと願って
います。これを防ぐために我々は、いずれの特許も、誰でも自由に使用できる
ように使用許諾されるべきか、あるいは何人に対しても全く使用させないかの、
いずれかにすべきであることを明らかにしてきました。
</p>

<p>複写・頒布・変更に対する正確な条項と条件を次に示します。</p>


<h3>ＧＮＵ一般公有使用許諾の下での複製、頒布、変更に関する条項と条件</h3>


<p>
１．本使用許諾は、本一般公有使用許諾の各条項に従って頒布されるとい
う著作権者からの告知文が表示されているプログラムやその他の作成
物に適用されます。以下において「プログラム」とは、そのようなプ
ログラムや作成物を指すものとし、また、「プログラム生成物」とは、
上述した「プログラム」自身、または、著作権法下における全ての派
生物；すなわち、その「プログラム」の全部又は一部を、そのまま又
は変更して、且つ／又は他の言語に変換して、内部に組み込んだ作成
物を意味します。（以下、言語変換は「変更」という用語の中に無条
件に含まれるものとします。）本使用許諾によって許諾を受ける者を
「あなた」と呼びます。
</p>


<p>
複製、頒布、変更以外の行為は本使用許諾の対象としません。それら
は本使用許諾の範囲外です。「プログラム」を実行させる行為に関し
て制約はありません。「プログラム」の出力は、（「プログラム」
を実行させて作成させたかどうかとは無関係に）その内容が「プロ
グラム生成物」である場合に限り本使用許諾の対象となります。これ
が当てはまるかどうかは、「プログラム」が何をするものかに依りま
す。
</p>


<p>
２．あなたは、どのような媒体上へ複製しようとする場合であっても、入
手した「プログラム」のソース・コードをそのままの内容で複写した
上で適正な著作権表示と保証の放棄を明確、且つ適正に付記する場合
に限り、複製又は頒布することができます。その場合、本使用許諾及
び無保証に関する記載部分は、全て元のままの形で表示してください。
また、「プログラム」の頒布先に対しては、「プログラム」と共に本
使用許諾書の写しを渡してください。複製物の引き渡しに要する実費
は請求することができます。また、あなた独自の保証を行なう場合は
それを有償とすることができます。
</p>


<p>
３．次の各条件を全て満たしている限り、あなたは、「プログラム」又は
その一部分を変更して「プログラム生成物」とすることができ、さら
に、変更版や右作成物を上記第２項に従って複製又は頒布することも
できます。
</p>
<ul>
<li>（ａ）ファイルを変更した旨とその変更日とを、変更したファイル上
に明確に表示すること。</li>

<li>（ｂ）変更したか否かを問わず、凡そ「プログラム」又はその一部分
を内部に組み込んでいるか又はそれから派生した生成物を頒布
する場合には、その全体を本使用許諾の条項に従って第三者へ
無償で使用許諾すること。</li>

<li>（ｃ）変更したプログラムが実行時に通常の対話的な方法でコマンド
を読むようになっているとすれば、最も普通の方法で対話的に
そのプログラムを実行する時に、次の内容を示す文言がプリン
タへ印字されるか、或いは画面に表示されること。
<ul>
<li>適切な著作権表示。</li>
<li>無保証であること（あなたが独自に保証する場合は、その旨）。</li>
<li>頒布を受ける者も、本使用許諾と同一の条項に従って「プロ
グラム」を再頒布できること。</li>
<li>頒布を受ける者が本使用許諾書の写しを参照する方法。</li>
</ul>

（例外として、「プログラム」自体は対話的であっても起動時
の文言を通常は印字しないのならば、あなたの「プログラム生
成物」はこのような文言を印字する必要はありません。）</li>
</ul>

<p>
これらの要件は変更された作成物にも全て適用されます。その変更版
の或る部分が「プログラム」の派生物ではなく、しかもそれ自体独立
で異なる作成物だと合理的に考えられる場合、あなたがそれらを別の
作成物として頒布した時は、本使用許諾とその条項はそれらの部分に
は適用されません。しかし、それらを「プログラム生成物」の一部と
して頒布する場合は、全体が本使用許諾の条項に従って頒布されなけ
ればならず、使用許諾を受ける他の全ての者に対する許諾もプログラ
ム全体にわたって与えられなければならず、結果として、誰が書いた
かにかかわらず、全ての部分に本使用許諾が適用されなければなりま
せん。
</p>


<p>
このように、本条項の意図するところは、完全にあなたによって書か
れた作成物について、権利を要求したり、あなたと権利関係を争うこ
とではありません。むしろその目的は、作成物が「プログラム生成物」
である場合にその派生物や集合物の頒布を規制することにあります。
</p>


<p>
さらに、「プログラム」（又は「プログラム生成物」）と「プログ
ラム生成物」とはならない他のプログラムとを、単に保管や頒布のた
めに同一の媒体上にまとめて記録したとしても、本使用許諾は他のプ
ログラムには適用されません。
</p>


<p>
４．あなたは、以下のうちいずれか１つを満たす限り、上記第２項及び第
３項に従って「プログラム」（又は、上記第３項で言及している「プ
ログラム生成物」）をオブジェクト・コード又は実行可能な形式で複
製及び頒布することができます。
</p>

<ul>
<li>（ａ）対応する機械読み取り可能なソース・コード一式を一緒に引き
渡すこと。その場合、そのソース・コードの引き渡しは上記第
２項及び第３項に従って、通常ソフトウェアの交換に用いられ
る媒体で行なわれること。</li>

<li>（ｂ）少なくとも３年間の有効期間を定め、且つその期間内であれば
対応する機械読み取り可能なソース・コード一式の複製を、ソー
ス頒布に関わる実費以上の対価を要求せずに提供する旨、及び
その場合には上記第２項及び第３項に従って、通常ソフトウェ
アの交換に用いられる媒体で提供される旨を記載した書面を、
第三者に一緒に引き渡すこと。</li>

<li>（ｃ）対応するソース・コード頒布の申し出に際して、あなたが得た
情報を一緒に引き渡すこと。（この選択肢は、営利を目的とし
ない頒布であって、且つあなたが上記の（ｂ）項に基づいて、
オブジェクト・コード或いは実行可能形式のプログラムしか入
手していない場合に限り適用される選択項目です。）</li>
</ul>

<p>
なお、ソース・コードとは、変更作業に適した記述形式を指します。
また、実行可能形式のファイルに対応するソース・コード一式とは、
それに含まれる全モジュールに対応する全てのソース・コード、及び
あらゆる関連のインタフェース定義ファイル、及び実行を可能にする
コンパイルとインストールの制御に関する記述を指します。特別な例
外として、実行可能なファイルが動作するオペレーティング・システ
ムの主要な構成要素（コンパイラ、カーネルなど）と共に（ソース・
コード又はバイナリのどちらかで）頒布されているものについては、
その構成要素自体が実行形式に付随していない場合に限り、頒布され
るソース・コードに含める必要はありません。
</p>


<p>
実行可能形式またはオブジェクト・コードの頒布が、指示された場所
からの複製のためのアクセス権の賦与である場合、同じ場所からのソー
ス・コードの複製のための同等なアクセス権を賦与すれば、たとえ第
三者にオブジェクト・コードと共にソースの複製を強いなくとも、ソー
ス・コードを頒布したものとみなします。
</p>


<p>
５．本使用許諾が明示的に許諾している場合を除き、あなたは、「プログ
ラム」を複製、変更、サブライセンス、頒布することができません。
本使用許諾に従わずに「プログラム」を複製、変更、サブライセンス、
頒布しようとする行為は、それ自体が無効であり、且つ、本使用許諾
があなたに許諾している「プログラム」の権利を自動的に消滅させま
す。その場合、本使用許諾に従ってあなたから複製物やその権利を得
ている第三者は、本使用許諾に完全に従っている場合に限り、引続き
有効な使用権限を持つものとします。
</p>


<p>
６．あなたはまだ同意の印として署名していないので、本使用許諾を受け
入れる必要はありません。しかし、あなたに「プログラム」又はその
派生物を変更又は再頒布する許可を与えるものは本使用許諾以外には
ありません。これらの行為は、あなたがもし本使用許諾を受け入れな
いのであれば、法律によって禁じられます。従って、あなたが「プロ
グラム」（又は「プログラム生成物」）の変更又は頒布を行えば、そ
れ自体であなたは本使用許諾を受け入れ、且つ、「プログラム」又は
その「プログラム生成物」の複製、頒布、変更に関するこれらの条項
と条件の全てを受け入れたことを示します。
</p>


<p>
７．あなたが「プログラム」（又はその「プログラム生成物」）を再頒布
すると自動的に、その受領者は、元の使用許諾者から、本使用許諾の
条項に従って「プログラム」を複製、頒布、変更することを内容とす
る使用許諾を受けたものとします。あなたは、受領者に許諾された権
利の行使について、さらに制約を加えることはできません。あなたに
は、第三者に本使用許諾の受け入れを強いる責任はありません。
</p>


<p>
８．裁判所の判決、又は特許侵害の申し立て、又は（特許問題に限らない）
何らかの理由の結果として、あなたに課せられた条件が本使用許諾と
相入れないものであったとしても（裁判所の命令、契約、その他によ
るものであれ）、本使用許諾の条件が免除されるものではありません。
本使用許諾による責務と、その他の何らかの関連責務を同時に満たす
態様で頒布することができないならば、あなたは「プログラム」を全
く頒布してはいけません。例えば、特許権の内容が、あなたから直接
又は間接に複製を受け取った全ての人に使用料のないプログラムの再
頒布を許さないものであれば、あなたがかかる特許上の要請と本使用
許諾の両方を満足させる方法は、「プログラム」の頒布を完全に断念
することだけです。
</p>


<p>
本条項の或る部分が何らかの特別な状況下で無効または適用不可能に
なった場合、本条項のその他の残りの部分が適用されるように意図さ
れており、また、本条項は全体としてその他の状況に当てはまるよう
に意図されています。
</p>


<p>
本条項の目的は、特許やその他の財産権を侵害したり、そのような権
利に基づく主張の妥当性を争うようにあなたに勧めることではありま
せん。本条項の唯一の目的は、フリー・ソフトウェアの頒布システム
の完全性を守ることで、それは公有使用許諾の実践によって履行され
ます。多くの人々が、このシステムの一貫した適用を信頼して、この
システムを通じて頒布されている幅広い範囲のソフトウェアに惜しみ
ない貢献をしてくれました。作成者や寄贈者が他の何らかのシステム
を通じてソフトウェアを頒布したいと決めることは彼らの自由意志で
あり、使用許諾を受ける者はその選択を強いることはできません。

本条項は、本使用許諾の他の条項の意味内容が何であるかを完全に明
らかにすることを意図しています。
</p>


<p>
９．「プログラム」の頒布・使用が、ある国において特許又は著作権で保
護されたインタフェースのどちらかで制限される場合、「プログラム」
を本使用許諾下においた原著作権保持者は、その国を除外する旨の明
示的な頒布地域制限を加え、それ以外の（除外されない）国に限定
して頒布が許されるようにすることができます。そのような場合、そ
の制限を本使用許諾の本文にあたかも書かれているかのように本使用
許諾の中に組み入れられるものとします。
</p>


<p>
１０．FreeSoftwareFoundationは随時、本一般公有使用許諾の改訂版、
又は新版を公表することがあります。そのような新しいバージョンは、
現行のバージョンと基本的に変わるところはありませんが、新しい問
題や懸案事項に対応するために細部では異なるかもしれません。

</p>

<p>
各バージョンは、バージョン番号によって区別します。「プログラム」
中に本使用許諾のバージョン番号の指定がある場合は、その指定され
たバージョンか、又はその後にFreeSoftwareFoundationから公表
されているいずれかのバージョンから１つを選択して、その条項と条
件に従ってください。「プログラム」中に本使用許諾のバージョン番
号の指定がない場合は、FreeSoftwareFoundationが公表したどの
バージョンでも選択することができます。
</p>


<p>
１１．「プログラム」の一部を頒布条件の異なる他のフリー・プログラムに
組み込みたい場合は、その開発者に書面で許可を求めてください。
FreeSoftwareFoundationが著作権を持っているソフトウェアにつ
いては、FreeSoftwareFoundationへ書面を提出してください。こ
のような場合に対応するために我々は例外的処理をすることもありま
すが、その判断基準となるのは、次の２つの目標の実現に合致するか
否かという点です。即ち、１つは我々のフリー・ソフトウェアの全て
の派生物をフリーな状態に保つことであり、もう１つはソフトウェア
の共有と再利用とを広く促進させることです。
</p>



<h3>無保証</h3>

<p>
１２．「プログラム」は無償で使用許諾されますので、適用法令の範囲内で、
「プログラム」の保証は一切ありません。著作権者やその他の第三者
は全く無保証で「そのまま」の状態で、且つ、明示か暗黙であるかを
問わず一切の保証をつけないで提供するものとします。ここでいう保
証とは、市場性や特定目的適合性についての暗黙の保証も含まれます
が、それに限定されるものではありません。「プログラム」の品質や
性能に関する全てのリスクはあなたが負うものとします。「プログラ
ム」に欠陥があるとわかった場合、それに伴う一切の派生費用や修理・
訂正に要する費用は全てあなたの負担とします。
</p>


<p>
１３．適用法令の定め、又は書面による合意がある場合を除き、著作権者や
上記許諾を受けて「プログラム」の変更・再頒布を為し得る第三者は、
「プログラム」を使用したこと、または使用できないことに起因する
一切の損害について何らの責任も負いません。著作権者や前記の第三
者が、そのような損害の発生する可能性について知らされていた場合
でも同様です。なお、ここでいう損害には通常損害、特別損害、偶発
損害、間接損害が含まれます（データの消失、又はその正確さの喪失、
あなたや第三者が被った損失、他のプログラムとのインタフェースの
不適合化、等も含まれますが、これに限定されるものではありません）。

</p>

<p>以上</p>



<h4>注意</h4>
<p>
英文文書(GNUGeneralPublicLicense)を正式文書とする。この和文文書
は弁護士の意見を採り入れて、できるだけ正確に英文文書を翻訳したものであ
るが、法律的に有効な契約書ではない。
</p>


<h4>和文文書自体の再配布に関して</h4>


<p>
いかなる媒体でも次の条件がすべて満たされている場合に限り、本和文文書
をそのまま複写し配布することを許可する。また、あなたは第三者に対して本
許可告知と同一の許可を与える場合に限り、再配布することが許可されていま
す。
</p>

<ul>
<li>受領、配布されたコピーに著作権表示および本許諾告知が前もって載
せられていること。</li>

<li>コピーの受領者がさらに再配布する場合、その配布者が本告知と同じ
許可を与えていること。</li>

<li>和文文書の本文を改変しないこと。</li>
</ul>

<hr />

<h4>あなたの新しいプログラムにこれらの条項を適用する方法</h4>

<p>
あなたが新しくプログラムを作成し、それを公用に供したい場合は、プログ
ラムをフリー・ソフトウェアにして、全ての人々が以上の各条項に従ってこれ
を再頒布や変更をすることができるようにするのが最良の方法です。
</p>


<p>
そうするためには、プログラムに以下の表示をしてください。その場合、無
保証であるということを最も効果的に伝えるために、ソース・ファイルの冒頭
にその全文を表示すれば最も安全ですが、その他の方法で表示する場合でも、
「著作権表示」と全文を読み出す為のアドレスへのポインタだけはファイル上
に表示しておいてください。
</p>

<pre>
<code>
　　＜プログラム名とどんな動作をするものかについての簡単な説明の行＞
　　　Ｃｏｐｙｒｉｇｈｔ（Ｃ）　１９○○年、＜著作権者名＞

　　　本プログラムはフリー・ソフトウェアです。あなたは、Free Software
　　　Foundation が公表したGNU 一般公有使用許諾の「バージョン２」或い
　　　はそれ以降の各バージョンの中からいずれかを選択し、そのバージョン
　　　が定める条項に従って本プログラムを再頒布または変更することができ
　　　ます。

　　　本プログラムは有用とは思いますが、頒布にあたっては、市場性及び特
　　　定目的適合性についての暗黙の保証を含めて、いかなる保証も行ないま
　　　せん。詳細についてはGNU 一般公有使用許諾書をお読みください。

　　　あなたは、本プログラムと一緒にGNU 一般公有使用許諾の写しを受け取っ
　　　ているはずです。そうでない場合は、Free Software Foundation, Inc.,
　　　675 Mass Ave, Cambridge, MA 02139, USA * へ手紙を書いてください。
</code>
</pre>

<hr />
<p>
*【注意】現在、このバージョン2の発行者(FSF)住所は、正式に新
しい住所の59TemplePlace-Suite330,Boston,MA02111-1307,
USAに変わっている。
</p>
<hr />

<p>
また、ユーザが電子メイルや書信であなたと連絡をとる方法についての情報
も書き添えてください。
</p>

<p>
プログラムが対話的に動作する場合は、対話モードで起動した時に次のよう
な短い告知文が表示されるようにしてください。
</p>

<pre>
<code>
　　　Ｇｎｏｍｏｖｉｓｉｏｎ　バージョン６９、
     Ｃｏｐｙｒｉｇｈｔ（Ｃ）１９○○年 ＜著作権者名＞

　　　Gnomovision は完全に無保証です。詳細は show w とタイプしてくださ
　　　い。これはフリー・ソフトウェアなので、特定の条件の下でこれを再頒
　　　布することができます。詳細は show c とタイプしてください。
</code>
</pre>

<p>
上記のshow wやshow cは各々、本一般公有使用許諾の関連する部分を表示
するコマンドを指します。もちろん、あなたが使うこれらのコマンドはshow w
やshow cといった呼び名でなくても構いません。さらに、それらのコマンド
はあなたのプログラムに合わせる為に、マウスでクリックしたりメニュー形式
にすることもできます。
</p>

<p>
また、必要と認めた場合には、あなたの雇い主(あなたがプログラマとして
働いている場合)や在籍する学校から、そのプログラムに対する「著作権放棄」
を認めた署名入りの書面を入手してください。ここにその文例を載せます。名
前は変えてください。
</p>

<pre>
<code>
　　　Yoyodyne, Inc. は、James Hacker が開発したプログラム
　　　`Gnomovision' (コンパイラにつなげるプログラム) についての著作権
　　　法上の全ての権利を放棄する。

　　　＜Ｔｙ　Ｃｏｏｎ　の署名＞，　１　Ａｐｒｉｌ　１９８９
　　　Ｔｙ　Ｃｏｏｎ，　副社長
</code>
</pre>

<p>
本一般公有使用許諾は、あなたのプログラムを財産権の対象となっている他
のプログラムに組み込むことは認めていません。あなたのプログラムがサブルー
チン・ライブラリであって、あなたがそのライブラリを財産権の対象となって
いる他のアプリケーションとリンクさせることによって、さらに有用なものに
しようとする場合には、本使用許諾書の代わりに、GNUライブラリ一般公有使
用許諾書に従ってください。
</p>

<hr />
