<h1><?= P_BLOG_VERSION ?> Manual</h1>
<hr />
<p class="flip-menu">
 <a href="./index.php">TOP</a> <a href="./index.php?id=en_00">INDEX</a> <span class="cur-tab">HOW TO USE</span>
</p>
<hr />
<h2>HOW TO USE</h2>
<h3 id="post_comment">POST YOUR LOG</h3>
<p>
Go to the Admin page and use your user account name and password that you created in &quot;ACCOUNT MANAGER&quot; to login. If your log-in sucess, you're ready. In the post page, you can see three text fields. 
</p>
<ol>
<li><strong>Title</strong>
<p>Name your log in this field. </p>
</li>
<li><strong>URI(URL) field</strong>
<p>URI you write in this field will automatically linked. This means this URI will wrap the article title above. If you don't want to link your title, just leave it as "http://".</p>
</li>
<li><strong>Cotegory field</strong><br />
<p>P_BLOG is multi-categorizable. Keywords must be separated by comma.</p>
<p>For example：</p>
<div class="command">
PHP,MySQL,Web Develop,Web Application
</div>
<p>Then you can categorize and list up the log in "PHP", "MySQL", "Web Develop", and "Web Applicaiton".</p>
</li>
<li><strong>Comment</strong><br />
<p><span class="blue">&lt;p&gt;&lt;/p&gt;</span>is placed in comment form by default. <span class="blue">&lt;p&gt;</span> means &quot;Paragraph&quot; and it breaks lines and generates spaces between paragraphs and paragraphs automatically.  To generate gramatically &amp; visually beautiful XHTML, use <span class="blue">&lt;p&gt;&lt;/p&gt;</span> instead of using many many <span class="blue">&lt;br /&gt;</span>s.</p>
<p><span class="red">GOOD Example：</span></p>
<div class="command">
<span class="blue">&lt;p&gt;</span>Your comment goes like this.<span class="blue">&lt;/p&gt;</span><br />
<span class="blue">&lt;p&gt;</span>Your next paragraph should go like this.<span class="blue">&lt;/p&gt;</span><br />
</div>
<p><span class="red">BAD Example：</span></p>
<div class="command">
Your commetn goes like this.<span class="blue">&lt;br /&gt;</span><br />
<span class="blue">&lt;br /&gt;</span><br />
<span class="blue">&lt;br /&gt;</span><br />
Too many <span class="red">&lt;br /&gt;s</span> to make spaces (like this) is not recommended.
</div>
<p>&lt;p&gt; is better than <span class="red">&lt;br /&gt;s</span> even when CSS is off.</p>

<p>Basically P_BLOG is built for the XHTML-hand-coders so P_BLOG <span class="red">DOES NOT</span> automatically convert your line-breaks into tags.<br />If you are not familiar with coding XHTML tags, It's OK because XHTML tags you should master to use P_BLOG is not many, and using TAG Buttons, you don't have to worry much about tags. </p>

<p>To quote, use <span class="blue">&lt;blockquote&gt;</span>tag. <span class="blue">&lt;blockquote&gt;</span>'s <span class="blue">cite</span> attributes will be converted to anchor link automatically like this. ↓</p>
<img src="./contents/resources/auto_cite.png" width="200" height="88" alt="cite" />
</li>
<li><strong>Uploading files</strong><br />
<p>With this choose file forms, you can upload images, files with your log. Files will be stocked in <span class="red">"resources"</span> folder, not in MySQL, so remember it when you write the file path.</p>
<p><span class="red">Image Path Example：</span></p>
<div class="command">
<code>
&lt;img src="<span class="red">./resources</span>/my_image.png" width="100" height="20" alt="Image" /&gt;
</code>
</div>
<p>You can set max number of upload files by editing <span class="blue">user_config.inc.php</span>. (Default max is &quot;3&quot;)</p>
</li>
</ol>
<h3>ANOTHER WAY OF POSTING YOUR LOG(2)</h3>
<p>P_BLOG is OS independent, but if you are a Mac OS X user, Try:</p>
<p><a href="http://hetima.com/soft/p_bog_agent.html"><strong>P_BLOG Agent</strong></a></p>
<p>to post your log. It's a great Cocoa Application, it automatically generates image tag code or link codes by drag &amp; drop, so it's very very convenient.</p>

<h3 id="upload_files">UPLOAD BINARY FILES INTO MySQL</h3>
<p>This is a bit different part of P_BLOG to the other weblog systems. You can stock many types of binary files like images, text, html, PDF, Photoshop PSD files, .mov or other movie formats, big files like over 100MB, or anything, into MySQL. All files will be downloadable.</p>
<p>Also, you can call these files from your blog very easily.  You can pull out the files with <span class="red">bin.php?id=FILE ID</span>.  For example, if you want to call PDF files named <span class="red">foo.pdf</span>which id is <span class="red">123</span> with the anchor tag, you can code like:</p>
<div class="command">
<span class="blue">&lt;a href="</span><span class="red">./bin.php?id=123</span><span class="blue">"&gt;</span><span class="green">foo.pdf</span><span class="blue">&lt;a&gt;</span>
</div>

<h3 id="access_analyze">CHECK VISITORS with ACCESS ANALYZER</h3>
<p>You can check visitors with access analyzer, P_ANAMA. P_ANAMA is stand for <span class="red">P</span>HP, <span class="red">Ana</span>lyze, <span class="red">M</span>ySQL. Last <span class="red">A</span> means nothing. Just wanted it sounds like my favorite song "PANAMA", you know, of cource, VAN HALEN.</p>
<p>Using analyzer is no-brainer. If you have set up <span class="red">user_config.inc.php</span> already, you don't have to do anything. just go to </p>
<div class="command">
/your_p_blog/analyze/index.php
</div>
<p>and enter your name, password, and go. If success, analyze page will appear.</p>

<hr />
