<?php
/**
 * Functions for Admin page only
 *
 * $Id: func_admin.inc.php, 2004/04/25 23:56:30 Exp $
 */

//================================================================
// ADMIN MODE TOP
//================================================================
/**
 * Admin Default Login Form
 */
function display_login($cd) 
{
    global $lang, $uploaddir;
    echo '<h2>'.$lang['admin'].'</h2>';
    echo <<<EOD
<form method="post" action="{$_SERVER['PHP_SELF']}">
<fieldset>
<legend accesskey="a">{$lang['login']}</legend>
<label>
{$lang['user_name']}&nbsp;:&nbsp;
<input type="text" value="" tabindex="2" accesskey="u" name="post_username" size="20" class="bordered" />
</label>
<br />
<label>
{$lang['user_pass']}&nbsp;:&nbsp;
<input type="password" value="" tabindex="3" accesskey="p" name="post_password" size="20" class="bordered" />
</label>
<p><input type="submit" tabindex="4" accesskey="l" value="{$lang['login']}" /></p>
</fieldset>
</form>
EOD;
    if (file_exists("./root")) {
        echo <<<EOD
<p>
 <a href="./go_to_root.php" title="{$lang['create_accounts']}&nbsp;({$lang['root_user_only']})">
  <img src="./images/accounts.png" width="35" height="23" alt="{$lang['account_manager']}" />
 </a>
 <span class="stronger">&laquo;</span>&nbsp;{$lang['account_manager']}
</p>
EOD;
    }
}




/**
 * Login Form To Post
 */
function display_login_post($cd) 
{
    global $lang;
    echo "\n";
    echo <<<EOD
<!-- post button -->
<form method="post" action="add.php">
<fieldset> 
<legend accesskey="a">{$lang['add_new']} &amp; {$lang['draft']}</legend>
<input id="post-log" type="radio" name="add" tabindex="1" accesskey="l" value="log" checked="checked" />
<label for="post-log">{$lang['log']}</label>
<input id="post-file" type="radio" name="add" tabindex="1" accesskey="f" value="bin" />
<label for="post-file">{$lang['file']}</label>
<input type="hidden" value="" name="post_username" size="20" class="bordered" />
<input type="hidden" value="" name="post_password" size="20" class="bordered" />
<p>
<input type="submit" tabindex="1" accesskey="g" value=" Go " />
</p>
</fieldset>
</form>
EOD;
}


/**
 * Login Form To Update
 */
function display_login_update($cd) 
{
    global $lang;
    echo "\n";
    echo <<<EOD
<!-- update button -->
<form method="post" action="../index.php">
<fieldset> 
<legend accesskey="u">{$lang['mod_del']}</legend>
<input id="mod-log" type="radio" name="mode" tabindex="2" accesskey="l" value="log" checked="checked" />
<label for="mod-log">{$lang['log']}</label>
<input id="mod-file" type="radio" name="mode" tabindex="2" accesskey="g" value="bin" />
<label for="mod-file">{$lang['file']}</label>
<input type="hidden" value="" name="post_username" size="20" class="bordered" />
<input type="hidden" value="" name="post_password" size="20" class="bordered" />
<p><input type="submit" tabindex="2" accesskey="g" value=" Go " /></p>
</fieldset>
</form>
EOD;
}



/**
 * Login Form to Access Analyzer
 */
function display_login_analyze() 
{
    global $lang;
    echo "\n";
    echo <<<EOD
<!-- access analyzer button -->
<form method="post" action="../analyze/index.php">
<p class="submit-button">
<input type="hidden" value="" tabindex="10" accesskey="u" name="post_username" size="20" class="bordered" />
<input type="hidden" value="" tabindex="11" accesskey="p" name="post_password" size="20" class="bordered" />
<input type="submit" tabindex="12" accesskey="a" value="{$lang['analyze']}" />
</p>
</form>
EOD;
//     echo <<<EOD
// <!-- access analyzer button -->
// <form method="post" action="../analyze/index.php">
// <fieldset> 
// <legend accesskey="a">{$lang['analyze']}</legend>
// <input type="hidden" value="" tabindex="10" accesskey="u" name="post_username" size="20" class="bordered" />
// <input type="hidden" value="" tabindex="11" accesskey="p" name="post_password" size="20" class="bordered" />
// <p><input type="submit" tabindex="12" accesskey="l" value=" Go " /></p>
// </fieldset>
// </form>
// EOD;

}


/**
 * Login Form to Forum Admin
 */
function display_login_forum_admin() 
{
    global $lang;
    echo "\n";
    echo <<<EOD
<!-- forum admin button -->
<form method="post" action="../forum/admin/index.php">
<fieldset> 
<legend accesskey="a">{$lang['forum_admin']}</legend>
<input type="hidden" value="" tabindex="10" accesskey="u" name="post_username" size="20" class="bordered" />
<input type="hidden" value="" tabindex="11" accesskey="p" name="post_password" size="20" class="bordered" />
<p><input type="submit" tabindex="13" accesskey="m" value=" Go " /></p>
</fieldset>
</form>
EOD;
}


/**
 * Login Form to System Admin
 */
function display_login_sysadmin() 
{
    global $lang;
    echo "\n";
    echo <<<EOD
<!-- system-admin button -->
<form method="post" action="./db_status.php">
<p class="submit-button">
<input type="hidden" value="" tabindex="10" accesskey="u" name="post_username" size="20" class="bordered" />
<input type="hidden" value="" tabindex="11" accesskey="p" name="post_password" size="20" class="bordered" />
<input type="submit" tabindex="12" accesskey="s" value="{$lang['system_admin']}" />
</p>
</form>
EOD;
//     echo <<<EOD
// <!-- system-admin button -->
// <form method="post" action="./db_status.php">
// <fieldset> 
// <legend accesskey="a">{$lang['system_admin']}</legend>
// <input type="hidden" value="" tabindex="10" accesskey="u" name="post_username" size="20" class="bordered" />
// <input type="hidden" value="" tabindex="11" accesskey="p" name="post_password" size="20" class="bordered" />
// <p><input type="submit" tabindex="12" accesskey="l" value=" Go " /></p>
// </fieldset>
// </form>
// EOD;

}


/**
 * Login Form To Session Manager
 */
function display_login_session($cd) 
{
    global $lang;
    echo "\n";
    echo <<<EOD
<form method="post" action="db_session_index.php">
<fieldset> 
<legend accesskey="a">SESSION MANAGER</legend>
<input type="hidden" value="" tabindex="2" accesskey="u" name="post_username" size="20" class="bordered" />
<input type="hidden" value="" tabindex="3" accesskey="p" name="post_password" size="20" class="bordered" />
<p><input type="submit" tabindex="4" accesskey="l" value=" Go " /></p>
</fieldset>
</form>
EOD;
}



/**
 * Login Form to RSS Admin
 */
function display_login_rss() 
{
    global $lang;
    echo "\n";
    echo <<<EOD
<!-- RSS admin button -->
<form method="post" action="../var/rss_box/admin/add.php">
<p class="submit-button">
<input type="hidden" value="" tabindex="10" accesskey="u" name="post_username" size="20" class="bordered" />
<input type="hidden" value="" tabindex="11" accesskey="p" name="post_password" size="20" class="bordered" />
<input type="submit" tabindex="13" accesskey="r" value="RSS Links Admin" />
</p>
</form>
EOD;
}


//================================================================
// POST NEW LOG & FILE
//================================================================
/**
 * Post New Log
 */
function display_add_log_form($post_password, $post_username, $show_cat_num,
             $log_table, $enable_unicode, $mysql_lang,
             $text_cols, $uploaddir, $up_img_max) 
{
    global $lang, $cd, $xml_lang;
    if ($xml_lang == 'ja') {
        $input_check = 'inputCheck()';
    } else {
        $input_check = 'inputCheck_e()';
    }
    $ctime = date("Y-m-d H:i:s");
//    $ctime = date("Y-m-d H:i:s", time()+9*3600);
//<h2>{$lang['add_new']}&nbsp;&nbsp;&nbsp;<img src="{$cd}/images/post.png" width="28" height="28" alt="post" /></h2>
    echo <<<EOD
<h2>{$lang['add_new']}</h2>
<form id="addform" action="./draft_insert.php" method="post" enctype="multipart/form-data" onsubmit="return {$input_check}">
<p>
<input type="hidden" name="MAX_FILE_SIZE" value="102400000" />
</p>
<p>
{$lang['date_and_time']} : <br />
<input type="text" name="date" size="20" accesskey="d" tabindex="2" value="{$ctime}" class="bordered" />
<input type="checkbox" id="custom-date" name="custom_date" accesskey="c" tabindex="3" />
<label for="custom-date">{$lang['use_custom_date']}</label>
<br />
{$lang['title']} : <br />
<input type="text" name="name" size="40" accesskey="n" tabindex="4" value="" class="bordered" /><br />
URI: <br />
<input type="text" name="href" size="40" accesskey="u" tabindex="5" value="http://" class="bordered" />
</p>
EOD;
    add_categories($show_cat_num, "", $log_table, $enable_unicode, $mysql_lang);
    echo "<p>\n" .$lang['comment']. ' : <br />';
    // Tag buttons
    display_comment_tag_buttons();
    echo <<<EOD
<br />
<textarea name="comment" rows="20" cols="{$text_cols}" accesskey="t" tabindex="6"><p></p></textarea>
</p>
EOD;
    display_upload_file_form($uploaddir, $up_img_max);
    echo <<<EOD
<p class="submit-button">
<input class="button" tabindex="20" accesskey="k" type="reset" name="reset" value="{$lang['clear']}" />
<input class="button" tabindex="19" accesskey="g" type="submit" value="{$lang['preview']}" />
</p>
</form>
EOD;
}

/** 
 * Post New Binary File To MySQL
 */
function display_up_file_form(
    $show_bin_cat_num,
    $info_table, $enable_unicode, $mysql_lang,
    $text_cols, $uploaddir, $up_img_max) 
{
    global $lang, $xml_lang;
    if ($xml_lang == 'ja') {
        $input_check = 'inputCheckBin()';
    } else {
        $input_check = 'inputCheckBin_e()';
    }
    $ctime = date("Y-m-d H:i:s");
    echo <<<EOD
<h2>{$lang['send_file']}</h2>
<form id="addform" method="post" action="./bin_draft_insert.php" enctype="multipart/form-data" onsubmit="return {$input_check}">
<p>
<input type="hidden" name="MAX_FILE_SIZE" value="102400000" />
</p>
<p>
{$lang['date_and_time']} : <br />
<input type="text" name="bindate" size="20" accesskey="d" tabindex="1" value="{$ctime}" class="bordered" /><br />
{$lang['title']} :<br />
<input type="text" name="bin_title" size="40" accesskey="n" tabindex="2" value="" class="bordered" /><br />
</p>
<p>
<input type="file" name="binfile" size="40" /><br />
</p>
EOD;
    add_bin_categories($show_bin_cat_num, "", $info_table, $enable_unicode, $mysql_lang);
    echo "<p>\n" .$lang['comment']. ' : <br />';
    // Tag buttons
    display_bincomment_tag_buttons();
    echo <<<EOD
<br />
<textarea name="bincomment" rows="20" cols="{$text_cols}" accesskey="t" tabindex="5"><p></p></textarea>
</p>
EOD;
    display_upload_file_form($uploaddir, $up_img_max);
    echo <<<EOD
<p class="submit-button">
<input class="button" tabindex="20" accesskey="k" type="reset" name="reset" value="{$lang['clear']}" />
<input class="button" tabindex="19" accesskey="g" type="submit" value="{$lang['preview']}" />
</p>
</form>
EOD;
}


/**
 * Choose Category
 */
function add_categories($show_cat_num, $category_name, $log_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    echo <<<EOD
<p>
{$lang['category']} : <br />
<input type="text" name="category" size="40" value="{$category_name}" accesskey="c" tabindex="3" class="bordered" />
<select tabindex="4" title="{$lang['category']}" onchange="document.forms.addform.category.value += this.options[this.selectedIndex].value+ ',';"> 
<option value=""  selected="selected">{$lang['category']}</option> 
<option value="-" disabled="disabled">- - -</option> 
EOD;
    if ($show_cat_num == 'yes') {
        foreach (categories_name_array($show_cat_num, $log_table, $enable_unicode, $mysql_lang) as $str=>$num) {
            echo '<option value="'.htmlspecialchars($str).'">'.htmlspecialchars($str).' ('.$num.")</option>\n";
        }
    } else {
        foreach (categories_name_array($show_cat_num, $log_table, $enable_unicode, $mysql_lang) as $str) { 
            echo '<option>'.htmlspecialchars($str)."</option>\n";
        }
    }
    echo <<<EOD
</select>
</p>
EOD;
}


/**
 * Choose Cateogry for Binary File
 */
function add_bin_categories($show_bin_cat_num, $category_name, $info_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    echo <<<EOD
<p>
{$lang['category']} : <br />
<input type="text" name="bin_category" size="40" value="{$category_name}" accesskey="c" tabindex="3" class="bordered" />
<select tabindex="4" title="{$lang['category']}" onchange="document.forms.addform.bin_category.value += this.options[this.selectedIndex].value+ ',';"> 
<option value=""  selected="selected">{$lang['category']}</option> 
<option value="-" disabled="disabled"> - - - </option> 
EOD;
    if ($show_bin_cat_num == 'yes') {
        foreach (bin_categories_name_array($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang) as $str=>$num) {
            echo '<option value="'.htmlspecialchars($str).'">'.htmlspecialchars($str).' ('.$num.")</option>\n";
        }
    } else {
        foreach(bin_categories_name_array($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang) as $str) { 
            echo '<option>'.htmlspecialchars($str)."</option>\n";
        }
    }
    echo <<<EOD
</select>
</p>
EOD;
}


/**
 * Tag Buttons
 */
function display_comment_tag_buttons() 
{
    echo <<<EOD
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="p" tabindex="5" accesskey="p" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="div" tabindex="5" accesskey="v" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="span" tabindex="5" accesskey="s" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="strong" tabindex="5" accesskey="g" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="img" tabindex="5" accesskey="i" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="a" tabindex="5" accesskey="l" class="tagbutton" /><br />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="ul" tabindex="5" accesskey="u" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="ol" tabindex="5" accesskey="o" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="quote" tabindex="5" accesskey="q" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="br" tabindex="5" accesskey="b" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="abbr" tabindex="5" accesskey="r" class="tagbutton" />
<input onclick="Tag(this.value, 0);" onkeypress="" type="button" value="tag" tabindex="5" accesskey="t" class="tagbutton" />
EOD;
}

function display_bincomment_tag_buttons() 
{
    echo <<<EOD
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="p" tabindex="5" accesskey="p" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="div" tabindex="5" accesskey="v" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="span" tabindex="5" accesskey="s" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="strong" tabindex="5" accesskey="g" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="img" tabindex="5" accesskey="i" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="a" tabindex="5" accesskey="a" class="tagbutton" /><br />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="ul" tabindex="5" accesskey="u" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="ol" tabindex="5" accesskey="o" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="quote" tabindex="5" accesskey="q" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="br" tabindex="5" accesskey="b" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="abbr" tabindex="5" accesskey="r" class="tagbutton" />
<input onclick="Tag(this.value, 1);" onkeypress="" type="button" value="tag" tabindex="5" accesskey="t" class="tagbutton" />
EOD;
}


/**
 * Attachment File Uploader to "resources" direcoty
 */
function display_upload_file_form($uploaddir, $up_img_max) 
{
    global $lang;
    echo <<<EOD
<table summary="Attach File" class="colored">
<tr>
<th abbr="Upload attached files" class="colored" colspan="2">
{$lang['send_img']}&nbsp;&nbsp;:&nbsp;&nbsp;<a href="{$uploaddir}"><strong>{$uploaddir}</strong></a>
</th>
</tr>
EOD;
    // show uplodoad file choosers
    for ($i = 1; $i < $up_img_max+1; $i++) {
        echo '<tr><th abbr="Attach file" class="colored">'.$lang['file'].' ('. $i . ') </th><td class="colored">'.
             "<input name=\"myfile[$i]\" size=\"35\" type=\"file\" accesskey=\"f\" tabindex=\"6\" class=\"bordered\" />\n".
             "</td></tr>\n";
    }
    echo <<<EOD
</table>
EOD;
}
// function display_upload_file_form($uploaddir, $up_img_max) 
// {
//     global $lang;
//     echo <<<EOD
// <fieldset> 
// <legend accesskey="f">{$lang['file']}</legend>
// <table summary="Attach File" class="colored">
// <tr>
// <th abbr="Upload attached files" class="colored" colspan="2">
// {$lang['send_img']}&nbsp;&nbsp;:&nbsp;&nbsp;<a href="{$uploaddir}"><strong>{$uploaddir}</strong></a>
// </th>
// </tr>
// EOD;
//     // show uplodoad file choosers
//     for ($i = 1; $i < $up_img_max+1; $i++) {
//         echo '<tr><th abbr="Attach file" class="colored">'.$lang['file'].' ('. $i . ') </th><td class="colored">'.
//              "<input name=\"myfile[$i]\" size=\"35\" type=\"file\" accesskey=\"f\" tabindex=\"6\" class=\"bordered\" />\n".
//              "</td></tr>\n";
//     }
//     echo <<<EOD
// </table>
// </fieldset>
// EOD;
// }



/**
 * Update Posted Log
 */
function update_log_form($mode) 
{
    global $lang, $row, $show_cat_num, $text_cols, $uploaddir, $up_img_max, $log_table, $enable_unicode, $mysql_lang;
    $row['name']     = htmlspecialchars($row['name']);
    $row['href']     = htmlspecialchars($row['href']);
    $row['category'] = htmlspecialchars($row['category']);
    $row['comment']  = htmlspecialchars($row['comment']);
    $row['mod']      = htmlspecialchars($row['mod']);
    if ($mode == 'draft') {
        $date   = htmlspecialchars($row['date']);
        $dform  = '<label for="date_and_time">' . $lang['date_and_time'] . ' :<br /></label>'.
                  '<input type="text" id="date_and_time" name="date" accesskey="n" tabindex="2" value="' . $date . '" size="20" class="bordered" />'.
                  '<input type="checkbox" id="custom-date" name="custom_date" accesskey="c" tabindex="3" />'.
                  '<label for="custom-date">' . $lang['use_custom_date'] . '</label><br />';
        $target = 'draft_updated';
        $draft_status        = $lang['draft'];
        $no_change_mod_time  = '';
        $update_submit_title = $lang['draft_update'];
        $delete_submit_title = $lang['draft_destroy'];
    } else {
        $date   = '';
        $dform  = '';
        $target = 'updated';
        $draft_status        = '';
        $no_change_mod_time  = '<input type="checkbox" name="no_update_mod" value="yes" /> '.
                               $lang['no_update_timestamp'];
        $update_submit_title = $lang['update'];
        $delete_submit_title = $lang['delete'];
    }
    echo <<<EOD
<h2>{$draft_status} {$lang['update']}&nbsp;:&nbsp; {$lang['log']} ID{$row['id']}</h2>
<form id="addform" action="./{$target}.php" method="post" enctype="multipart/form-data">
<p>
{$dform}
{$lang['title']} :<br />
<input type="text" name="name" accesskey="n" tabindex="2" value="{$row['name']}" size="40" class="bordered" /><br />
URI :<br />
<input type="text" name="href" accesskey="h" tabindex="3" value="{$row['href']}" size="40" class="bordered" /><br />
EOD;
    $category_name = $row['category'];
    add_categories($show_cat_num, $category_name, $log_table, $enable_unicode, $mysql_lang);
    echo "</p>\n" .$lang['comment']. ' : <br />';
    // show tag buttons
    display_comment_tag_buttons();
    echo <<<EOD
<br />
<textarea name="comment" rows="20" cols="$text_cols" >{$row['comment']}</textarea><br />
</p>
EOD;
    display_upload_file_form($uploaddir, $up_img_max);
    echo <<<EOD
<p>
{$no_change_mod_time}
<input type="hidden" name="mod" value="{$row['mod']}" />
</p>
<div class="submit-button">
<input type="hidden" name="id" value="{$row['id']}" />
<input class="backbutton" type="submit" value="{$update_submit_title}" />
</div>
</form>
<form id="del" action="./delete.php" method="post" onsubmit="inputCheck()">
<div class="submit-button">
<input type="hidden" name="id" value="{$row['id']}">
<input type="submit" value="{$delete_submit_title}">
</div>
</form>
EOD;
}


/**
 * Update Binary File Info
 */
function update_bin_form($mode) 
{
    global $lang, $row, $show_bin_cat_num, $category_name, $info_table, $enable_unicode, $mysql_lang;
    global $text_cols, $uploaddir, $up_img_max, $post_password, $post_username;
    $row['bin_title']    = htmlspecialchars($row['bin_title']);
    $row['binname']      = htmlspecialchars($row['binname']);
    $row['bin_category'] = htmlspecialchars($row['bin_category']);
    $row['bincomment']   = htmlspecialchars($row['bincomment']);
    $row['bin_mod']      = htmlspecialchars($row['bin_mod']);
    if ($mode == 'draft') {
        $date   = htmlspecialchars($row['bindate']);
        $dform  = '<label for="date_and_time">' . $lang['date_and_time'] . ' :<br /></label>'.
                  '<input type="text" id="date_and_time" name="date" accesskey="n" tabindex="2" value="' . $date . '" size="20" class="bordered" />'.
                  '<input type="checkbox" id="custom-date" name="custom_date" accesskey="c" tabindex="3" />'.
                  '<label for="custom-date">' . $lang['use_custom_date'] . '</label><br />';
        $target = 'bin_draft_updated';
        $draft_status        = $lang['draft'];
        $no_change_mod_time  = '';
        $update_submit_title = $lang['draft_update'];
        $delete_submit_title = $lang['draft_destroy'];
    } else {
        $date   = '';
        $dform  = '';
        $target = 'bin_updated';
        $draft_status        = '';
        $no_change_mod_time  = '<input type="checkbox" name="no_update_mod" /> ' .
                               $lang['no_update_timestamp'];
        $update_submit_title = $lang['update'];
        $delete_submit_title = $lang['delete'];
    }
    echo <<<EOD
<h2>{$draft_status} {$lang['update']}&nbsp;:&nbsp; {$lang['file']} ID{$row['id']}</h2>
<form id="addform" action="./{$target}.php" method="post" enctype="multipart/form-data">
<p>
{$dform}
{$lang['title']} :<br />
<input type="text" name="bin_title" accesskey="t" tabindex="2" value="{$row['bin_title']}" size="40" class="bordered" /><br />
</p>
<p>{$lang['file_name']} :<br />
<input type="text" name="binname"  accesskey="n" tabindex="3" value="{$row['binname']}" size="40" class="bordered" /><br />
{$lang['file_type']} : {$row['bintype']}<br />
{$lang['file_size']} : {$row['binsize']} byte
</p>
EOD;
    $category_name = $row['bin_category'];
    add_bin_categories($show_bin_cat_num, $category_name, $info_table, $enable_unicode, $mysql_lang);
    echo "<p>\n" .$lang['comment']. ' : <br />';
    // show tag buttons
    display_bincomment_tag_buttons();
    echo <<<EOD
<br />
<textarea name="bincomment" rows="20" cols="{$text_cols}" >$row[bincomment]</textarea>
</p>
EOD;
    display_upload_file_form($uploaddir, $up_img_max);
    echo <<<EOD
<p>
{$no_change_mod_time}
<input type="hidden" name="bin_mod" value="{$row['bin_mod']}" />
</p>
<p class="submit-button">
<input type="hidden" name="id" value="{$row['id']}" />
<input class="backbutton" type="submit" value="{$update_submit_title}" />
</p>
</form>
<form id="del" action="./bin_delete.php" method="post" onsubmit="inputCheck()">
<p class="submit-button">
<input type="hidden" name="id" value="{$row['id']}" />
<input type="submit" value="{$delete_submit_title}">
</p>
</form>
EOD;
}


/**
 * Attachment Binary File Uploaded
 */
function file_uploaded($up_img_max, $uploaddir) 
{
    global $lang;
    // upload binary resources to the specified "resources" directory
    echo '<table summary="upload files" class="colored">'.
         '<tr><th colspan="3" class="colored">'.$lang['resource_dir'].' &rarr;&nbsp;:&nbsp;'.
         '<strong><a href="'.$uploaddir.'">'.$uploaddir."</a></strong></th></tr>\n";
    for ($i = 1; $i < $up_img_max+1; $i++){
        if(isset($_FILES['myfile'])) {
            if (move_uploaded_file($_FILES['myfile']['tmp_name'][$i],
                                   $uploaddir . $_FILES['myfile']['name'][$i])) {
                echo '<tr><td class="colored">'.$lang['file'].$i.'</td><td class="colored">'.$lang['upload_ok']."</td>\n".
                     '<td class="colored">'.
                     $lang['file_name'].' : '.$_FILES['myfile']['name'][$i].'<br />'.
                     $lang['file_type'].' : '.$_FILES['myfile']['type'][$i].'<br />'.
                     $lang['file_size'].' : '.$_FILES['myfile']['size'][$i].' bytes<br />'.
                     $lang['temp_name'].' : '.$_FILES['myfile']['tmp_name'][$i].'<br />'.
                     $lang['error_msg'].' : '.$_FILES['myfile']['error'][$i].'<br />'.
                     '</td></tr>';
            } else {
                echo '<tr><td class="colored">'.$lang['file'].$i.'</td><td class="colored">'.$lang['no_files_added'].'</td>'.
                     '<td class="colored">0</td></tr>'; 
            }
        }
    }
    echo '</table><br />';
}

function file_upload() 
{
    global $lang, $up_img_max, $uploaddir;
    // upload binary resources to the specified "resources" directory
    for ($i = 1; $i < $up_img_max+1; $i++){
        if(isset($_FILES['myfile'])) {
            move_uploaded_file($_FILES['myfile']['tmp_name'][$i], $uploaddir . $_FILES['myfile']['name'][$i]);
        }
    }
}

//================================================================
// SUCCESS MESSAGES
//================================================================
/**
 * New Log added successfully
 */
function log_added($index_page, $article_mode) 
{
    global $lang, $new_id;
    echo '<h2>'.$lang['log_added']."</h2>\n".
         //'<h3>&rarr;&nbsp;<a href="../'.$article_mode.'.php?id='.$new_id.'">'.$lang['check']."</a></h3>\n".
         '<h3>&rarr;&nbsp;<a href="./'.$article_mode.'.php?id='.$new_id.'">'.$lang['check']."</a></h3>\n".
         '<h3>&rarr;&nbsp;<a href="../'.$index_page.'.php">'.$lang['check_index']."</a></h3>\n";
}


/**
 * Log updated successfully
 */
function log_updated($index_page, $article_mode) 
{
    global $lang, $new_id;
    if ($index_page == 'index') {
        $file_mode = $lang['log'];
    } elseif ($index_page == 'bin_index') {
        $file_mode = $lang['file'];
    }
    echo '<h2>'.$file_mode.' ID:'.$new_id.$lang['updated']."</h2>\n".
//         '<h3>&rarr;&nbsp;<a href="../'.$article_mode.'.php?id='.$new_id.'">'.$lang['check']."</a></h3>\n".
         '<h3>&rarr;&nbsp;<a href="./'.$article_mode.'.php?id='.$new_id.'">'.$lang['check']."</a></h3>\n".
         '<h3>&rarr;&nbsp;<a href="../'.$index_page.'.php">'.$lang['check_index']."</a></h3>\n";
}


function preview_mod_del($target, $article_mode) 
{
    global $lang, $id;
    if (($target == 'draft_update') or ($target == 'bin_draft_update')) {
        $legend_str = $lang['draft_mod_del'];
        $update_submit_title = $lang['draft_update'];
        $delete_submit_title = $lang['draft_destroy'];
    } else {
        $legend_str = $lang['mod_del'];
    }
    echo '<form action="'.$target.'.php" method="post">'."\n".
         "<fieldset>\n".
         '<legend accesskey="u">'.$legend_str."</legend>\n".
         '<input type="submit" value="go" />'."\n".
         '<input type="hidden" name="id" value="'.$id.'" />'."\n".
         '<input type="hidden" name="mode" value="'.$article_mode.'" />'."\n".
         "</fieldset>\n".
         "</form>\n";
}


/**
 * Draft Number
 */
// function display_draft_num() 
// {
//     global $lang, $log_table, $info_table;
//     //---------------------------------------------------
//     $sql = 'SELECT id FROM ' . $log_table . ' WHERE draft = 1';
//     $res = mysql_query($sql);
//     $row = mysql_num_rows($res);
//     if ($row <= 0) {
//         $draft_num = ' ' . $lang['log'] . ' (0)';
//     } else {
//         $draft_num = '<a href="./draft_list.php"><strong> ' . $lang['log'] . ' (' . $row . ')</strong></a>';
//     }
//     //---------------------------------------------------
//     $sql = 'SELECT id FROM ' . $info_table . ' WHERE draft = 1';
//     $res = mysql_query($sql);
//     $row = mysql_num_rows($res);
//     if ($row <= 0) {
//         $draft_num = ' ' . $lang['file'] . ' (0)';
//     } else {
//         $draft_num = '<a href="./bin_draft_list.php"><strong> ' . $lang['file'] . ' (' . $row . ')</strong></a>';
//     }
//     //---------------------------------------------------
//     // generate XHTML
//     echo <<<EOD
// <dl id="draft">
// <dt>{$lang['draft']}</dt>
// <dd><img src="./images/document.png" width="30" height="30" alt="draft-log" />
// {$draft_num}</dd>
// <dd><img src="./images/file.png" width="30" height="30" alt="draft-file" />
// {$draft_num}</dd>
// </dl>
// EOD;
// }


function display_draft_num() 
{
    global $lang, $log_table, $info_table;
    $sql = 'SELECT id FROM ' . $log_table . ' WHERE draft = 1';
    $res = mysql_query($sql);
    $row = mysql_num_rows($res);
    if ($row <= 0) {
        $draft_num = ' ' . $lang['log'] . ' (0)';
    } else {
        $draft_num = '<a href="./draft_list.php"><strong> ' . $lang['log'] . ' (' . $row . ')</strong></a>';
    }
    echo '<dl id="draft"><dt>' . $lang['draft'] . '</dt>';
    echo '<dd><img src="./images/document.png" width="30" height="30" alt="draft-log" />'.
         $draft_num . '</dd>';
    //---------------------------------------------------
    $sql = 'SELECT id FROM ' . $info_table . ' WHERE draft = 1';
    $res = mysql_query($sql);
    $row = mysql_num_rows($res);
    if ($row <= 0) {
        $draft_num = ' ' . $lang['file'] . ' (0)';
    } else {
        $draft_num = '<a href="./bin_draft_list.php"><strong> ' . $lang['file'] . ' (' . $row . ')</strong></a>';
    }
    echo '<dd><img src="./images/file.png" width="30" height="30" alt="draft-file" />'.
         $draft_num . '</dd></dl>';
}


// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>