<?php
/**
 * Create A New User Account
 *
 * $Id: admin/root/user_register.php, 2004/02/07 16:20:17 Exp $
 */

$cd = '../..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once '../include/fnc_admin.inc.php';

if ($use_session_db == 'yes') {
    require_once '../db_session.php';
} else {
    session_name($p_blog_root_sess_name);
    session_start();
}

// XHTML Header
display_header();

// Menu List
display_menu_list($cd, $admin = 'yes', $menu_list, $root_path);

// Menu Bottom
display_menu_bottom($use_rss = '', $cd, $rss_feed);
 
if (isset($_SESSION['root_admin_login'], $_SESSION['root_user_name'], $_SESSION['root_user_pass'],
          $_POST['new_user'], $_POST['new_pass'], $_POST['new_email']) &&
          (!is_null($_POST['new_user'])) && (!is_null($_POST['new_pass'])) && (!is_null($_POST['new_email']))) {
    if (($_SESSION['root_user_name'] == $user) && ($_SESSION['root_user_pass'] == md5($password))) {
        // Matching a valid User name
        if (!preg_match('/^[0-9a-zA-Z]{2,16}$/i', $_POST['new_user'])) {
            echo '<h2><img src="../images/accounts.png" width="35" height="23" alt="" />&nbsp;&nbsp;'.$lang['invalid_name'].'</h2>'.
                 '<p><span class="stronger">&raquo;</span>&nbsp;<a href="./user_list.php">'.
                 $lang['user_list'].'</a> | <a href="./user_regist.php">'.$lang['create_accounts'].'</a></p>'.
                 '<p>'.SHOW_ERROR_ICON.'&nbsp;'.$lang['invalid_name_msg'].'</p>';
        // Matching a valid User password
        } elseif (!preg_match('/^[0-9a-zA-Z]{4,16}$/i', $_POST['new_pass'])) {
            echo '<h2><img src="../images/accounts.png" width="35" height="23" alt="" />&nbsp;&nbsp;'.$lang['invalid_pass'].'</h2>'.
                 '<p><span class="stronger">&raquo;</span>&nbsp;<a href="./user_list.php">'.
                 $lang['user_list'].'</a> | <a href="./user_regist.php">'.$lang['create_accounts'].'</a></p>'.
                 '<p>'.SHOW_ERROR_ICON.'&nbsp;'.$lang['invalid_pass_msg'].'</p>';
        // Matching a valid Email address
        } elseif (!preg_match('/^[^@\s]+@([-a-z0-9]+\.)+[a-z]{2,}$/i', $_POST['new_email'])) {
            echo '<h2><img src="../images/accounts.png" width="35" height="23" alt="" />&nbsp;&nbsp;'.$lang['invalid_email'].'</h2>'.
                 '<p><span class="stronger">&raquo;</span>&nbsp;<a href="./user_list.php">'.
                 $lang['user_list'].'</a> | <a href="./user_regist.php">'.$lang['create_accounts'].'</a></p>'.
                 '<p>'.SHOW_ERROR_ICON.'&nbsp;'.$lang['invalid_email_msg'].'</p>';
        } else {
            if ($_SESSION['root_admin_login'] == '') {
                $_SESSION['root_user_name']   = $mysql_user;
                $_SESSION['root_user_pass']   = $mysql_pass;
                $_SESSION['root_admin_login'] = TRUE;
            }
            $new_user  = insert_safe($_POST['new_user']);
            $new_pass  = insert_safe($_POST['new_pass']);
            $new_email = insert_safe($_POST['new_email']);

            $sql = "INSERT INTO {$user_table} VALUES ('', '$new_user', md5('$new_pass'), '$new_email', CURRENT_TIMESTAMP())";
            if (!$result = mysql_query($sql)) die (mysql_error());
            echo '<h2><img src="../images/accounts.png" width="35" height="23" alt="" />&nbsp;&nbsp;'.$lang['new_user_created'].'</h2>'. 
                 '<h3>'.$lang['new_user_created_success'].'</h3>'.
                 '<p><span class="stronger">&raquo;</span>&nbsp;<a href="./user_list.php">'.
                 $lang['user_list'].'</a> | <a href="./user_regist.php">'.$lang['create_accounts'].'</a></p>';
        
            // Send Mail
            if ($sendmail_account_id == 'yes') {
                if ($xml_lang == 'ja') {
                    require_once './mail_mb.php';
                } else {
                    require_once './mail.php';
                }
            }
        }
    } else {
        bad_req_error();
        exit;
    }
} else {
    echo  '
    <h2><img src="../images/accounts.png" width="35" height="23" alt="" />&nbsp;&nbsp;'.$lang['create_accounts'].'</h2>
    <p><a href="./user_list.php">'.$lang['user_list'].'</a> | '.$lang['create_accounts'].'</p>
    <form action="user_regist.php" method="post">
    <fieldset><legend>'.$lang['new_user_account'].'</legend>
    <table>
    <tr><th>'.$lang['user_name'].'&nbsp;:&nbsp;</th><td><input type="text" name="new_user" class="bordered" /></td></tr>
    <tr><th>'.$lang['user_pass'].'&nbsp;:&nbsp;</th><td><input type="password" name="new_pass" class="bordered" /></td></tr>
    <tr><th>E-Mail&nbsp;:&nbsp;</th><td><input type="text" name="new_email" class="bordered" /></td></tr>
    </table>
    </fieldset>
    
    <input type="submit" name="Submit" value="'.$lang['create'].'" />
    </form>';
}
footer();
?>