<?php
/**
 * Binary File Downloader Index 2
 *
 * $Id: files/index2.php, 2004/03/24 00:31:16 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_files.inc.php';

session_control();

function display_binary_box2($row, $anchor, $show_md5, $data_table, $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path){
//    global $lang, $show_date_title, $date_style, $use_download_counter;
    $bin_type = $row['bintype'];//Check file types
    $bin_size = $row['binsize'] / 1024;//Convert "Byte" to "KB"
    settype($bin_size, "int");//Convert size to integer

	$output_comment = strip_tags($row['bincomment']);
	$pos = strpos($output_comment, "\n");
	if ($pos) {
		$output_comment = substr($output_comment, 0, $pos);
	}
	echo <<<EOD
<li><a href="http://{$_SERVER["HTTP_HOST"]}{$root_path}files/article.php?id={$row['id']}">{$row['bin_title']}</a><br />
{$output_comment}&nbsp;( : {$bin_size}KB)&nbsp;{$row['bindate']}</li>\n
EOD;
}


// XHTML Header
display_header();

display_bin_search_form();

display_menu_list($cd, $admin, $menu_list, $root_path);

// count how many rows are stocked in DB.
$sql = "SELECT DATE_FORMAT(bindate,'%Y-%m') as bindate FROM {$info_table} GROUP BY bindate ORDER BY bindate";
if ($date_order_desc == 'yes') {
    $sql.= " DESC";
}
bin_archive_by_date($sql);

// Category List
if ($show_bin_categories == 'yes') {
    if ($bin_category_style == 1) {
        display_bin_categories_menu($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    } elseif ($bin_category_style == 2) {
        display_bin_categories_list($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// File type list
if ($show_filetype == 'yes') {
    if ($filetype_style == 1) {
        display_type_menu($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    }elseif ($filetype_style == 2) {
        display_type_list($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);


// SQL
$cate_sql = 'SELECT DISTINCT bin_category FROM '.$info_table.' WHERE draft = 0 ORDER BY bin_category';
$cate_res = mysql_query($cate_sql);
if ($cate_res) {
	echo '<h2 class="archive-title">'.$file_index_title.'</h2>'."\n";
	if ($use_2_indexes == 'yes') {
	    echo '<p class="flip-link"><a href="./index.php">'.$lang['by_date'].'</a> <strong>'.$lang['by_category'].'</strong></p>';
	}
	while ($cate_row = mysql_fetch_array($cate_res)) {
		$sql = 'SELECT '.
               "id, bin_title, bintype, binname, binsize, bindate, DATE_FORMAT(bin_mod,'%Y-%m-%d %T') as bin_mod, bin_category, bincomment, bin_count".
               ' FROM '.$info_table." WHERE (draft = 0) AND (bin_category='".$cate_row['bin_category']."') ORDER BY bindate DESC LIMIT ".($max_listup+1);
		$res = mysql_query($sql);
		if (!$res) {
			die(mysql_error());
		}
		convert_to_utf8($enable_unicode, $cate_row, $mysql_lang);
		echo '<div class="article-box">'. "\n";
		echo '<h3>'.$cate_row['bin_category']."</h3>\n<ul>\n";
		$i = 0;
		while ($row = mysql_fetch_array($res)) {
			if ($i >= $max_listup) {
				echo "</ul>\n";
				echo '<ul><li><a href="bin_category.php?k='.urlencode($row['bin_category']).'&amp;d=&amp;p=0&amp;pn=1&amp;c=" title="'.$cate_row['bin_category'].'">More ...</a></li>';
			} else {
				convert_to_utf8($enable_unicode, $row, $mysql_lang);
				display_binary_box2($row, $anchor, $show_md5, $data_table,
					$show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
				$i++;
			}
		}
		echo "</ul>\n</div>\n";
	}
} else {
    echo '<h2>Welcome to ' . $blog_title . " !</h2>\n".
         '<p>' . $lang['no_files'] . "</p>\n";
}
footer();
?>