<?php
/**
 * Reply script
 *
 * $Id: forum/replied.php, 2004/04/28 23:33:47 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_search.inc.php';
require_once './include/fnc_forum.inc.php';


if (isset($_POST['user_name'], $_POST['user_email'], $_POST['title'], $_POST['comment'], $_POST['color'],
          $_POST['user_pass'], $_POST['tid'], $_POST['parent_key'], $_POST['refer_id'])) {

    // posted variables
    $user_name  = insert_safe($_POST['user_name']);
    $mail       = insert_safe($_POST['user_email']);
    $user_pass  = insert_safe($_POST['user_pass']);
    $title      = insert_safe($_POST['title']);
    if ($title == '') {
        $title = 'Re: ';
    }
    $comment    = insert_safe($_POST['comment']);
    $color      = insert_safe(intval($_POST['color']));
    $tid        = insert_safe(intval($_POST['tid']));
    $parent_key = insert_safe(intval($_POST['parent_key']));
    $refer_id   = insert_safe(intval($_POST['refer_id']));
    
    // Validate E-Mail
    if ($mail) {
        switch(valid_email($mail)) {
            case 0:
                break;
            case 1:
                display_header();
                display_forum_search_form();
                display_menu_list($cd, $admin = '', $menu_list, $root_path);
                display_menu_bottom($use_rss = 'no', $cd, $rss_feed);
                echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.
                     $lang['invalid_email_msg'].
                     "</h3>\n";
                footer();
                exit;
                break;
        }
    }
    // Matching a valid User password
    if (!preg_match('/^[0-9a-zA-Z]{4,16}$/i', $_POST['user_pass'])) {
        display_header();
        display_forum_search_form();
        display_menu_list($cd, $admin = '', $menu_list, $root_path);
        display_menu_bottom($use_rss = 'no', $cd, $rss_feed);
        echo '<h2>'.$lang['invalid_pass'].'</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;'.$lang['invalid_pass_msg'].'</p>';
        footer();
        exit;
    } elseif ($_POST['comment'] == '') {
        display_header();
        display_forum_search_form();
        display_menu_list($cd, $admin = '', $menu_list, $root_path);
        display_menu_bottom($use_rss = 'no', $cd, $rss_feed);
        echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_comment']."</h3>\n";
        footer();
        exit;
    } else {    

        // get user's remote host info
        if (!isset($_SERVER['REMOTE_HOST'])) {
            $_SERVER['REMOTE_HOST'] = @gethostbyaddr($_SERVER['REMOTE_ADDR']);
            $re_host = $_SERVER['REMOTE_HOST'];
        } else {
            $re_host = $_SERVER['REMOTE_HOST'];
        }
    
        if (isset($_POST['user_uri'])) {
            $user_uri = $_POST['user_uri'];
        }
        
        // unicode conversion
        if ($enable_unicode == 'on') {           
            /*
            $user_name = mb_convert_encoding($user_name, $mysql_lang, "UTF-8");
            $title     = mb_convert_encoding($title, $mysql_lang, "UTF-8");
            $comment   = mb_convert_encoding($comment, $mysql_lang, "UTF-8");
            */
            mb_convert_variables($mysql_lang, "UTF-8", $user_name, $title, $comment);
        }
    
        $sql = 'INSERT INTO '.
               "p_forum(tid, parent_key, title, comment, user_name, user_pass, user_mail, user_uri, color, date, user_ip, refer_id) ".
               "VALUES('$tid', '$parent_key', '$title', '$comment', '$user_name', md5('$user_pass'), '$mail', '$user_uri', '$color', CURRENT_TIMESTAMP(), '$re_host', '$refer_id')";
        $res = mysql_query($sql);
        if ($res) {
            // update the modification date of the parent log which is the index of the thread.
            $update_sql = "UPDATE p_forum SET mod = CURRENT_TIMESTAMP() WHERE parent_key = '1' AND tid = '{$tid}'";
            $update_res = mysql_query($update_sql);
            header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'forum/topic.php?tid='.urlencode($tid));
//            header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'forum/replied_ok.php?tid='.urlencode($tid));
            exit;
        }
    }
} else {
    header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'forum/index.php');
    exit;
}
?>