<?php
/**
 * Display Topic
 * 
 * $Id: topic.php, 2004/04/30 14:03:03 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/search_plus.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once './include/fnc_search.inc.php';
require_once './include/fnc_forum.inc.php';

against_xss();

// XHTML Header
display_header();

// Forum Search Form
display_forum_search_form();

// Pick up archives by date
$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM p_forum GROUP BY date ORDER BY date";
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}

display_menu_list($cd, $admin = '', $menu_list, $root_path);

// Archive Form
archive_by_month($sql);

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);


//=====================================================
// PREPARE SEARCH QUERY
//=====================================================

against_xss();

if (!isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
    $_GET['k']  = '';
    $_GET['p']  = '0';
    $_GET['d']  = '';
    $_GET['c']  = '0';
    $_GET['pn'] = '1';
}

if (isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'], $_GET['tid'])) {

    if ($enable_unicode == 'on') {
        $keyword = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
    } else {
        $keyword = trim($_GET['k']);
    }
    $page  = $_GET['p'];
    $date  = $_GET['d'];
    $case  = $_GET['c'];
    $tid   = $_GET['tid'];
    if (($page != '') & ($case != '')) {
        $sql = 'SELECT'.
               " id, tid, parent_key, title, comment, user_name, user_pass, user_uri, user_mail, color, date,".
               " DATE_FORMAT(mod, '%Y/%m/%d %T') as mod, refer_id".
               ' FROM p_forum'.
               ' WHERE tid = '. $tid .
               " ORDER BY date ASC LIMIT {$page}, {$pagemax} ";
    }
    //=====================================================
    // SUBMIT SEARCH QUERY
    //=====================================================
    $res = mysql_query($sql);
    if ($res) {
        $count_sql = 'SELECT id FROM p_forum WHERE tid = ' . $tid;
        $hit_res = mysql_query($count_sql);
        $hit_row = mysql_num_rows($hit_res);
    
        // Show the hit data info.
        $rows = mysql_num_rows($res);
        if ($enable_unicode == 'on') {
            $keyword = mb_convert_encoding($keyword, "UTF-8", $mysql_lang);
        }
        //=================================================
        // SHOW THE RESULTS!
        //=================================================
        if ($hit_row) {
            echo "\n".
                 '<p class="flip-menu">'."\n".
                 '<a href="./index.php">'.$lang['topic_list'].'</a> '.
                 '<a href="./add.php">'.$lang['add_new'].'</a> '.
                 '<a href="./reply.php?tid=' . $tid . '">'.$lang['reply'].'</a></p>';
            // display the number of the thread
            $spacer = '&nbsp;&nbsp;&nbsp;&nbsp;';
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            if (($hit_row <= 1) && ($lang = 'en')) {
                $lang_comments = 'comment.';
            } else {
                $lang_comments = $lang['comments'];
            }
            echo '<p class="search-res">'.
                 '<span class="search-res">'.$hit_row.'</span> '.$lang_comments.' &nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row.'</span></p>';
            display_page_flip_forum();
            // display topic list table
            while ($row = mysql_fetch_array($res)) {
                // check the number of replies
                $rep_sql = 'SELECT COUNT(id) FROM p_forum WHERE tid = ' . $row['tid'] . ' AND parent_key = 0';
                $rep_res = mysql_query($rep_sql);
                $rep_row = mysql_fetch_array($rep_res);

                // convert to UTF-8
                if ($enable_unicode == 'on') {
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                }
                display_forum_log_box($row, $anchor);

            }
            display_page_flip_forum();
            echo "\n".
                 '<form method="post" action="./modify.php">'."\n".
                 '<p id="comment-submit">'."\n".
                 'No. <input type="text" name="id" tabindex="2" accesskey="n" value="" size="4" />'."\n".
                 'Pass <input type="password" name="user_pass" tabindex="3" accesskey="p" value="" />'."\n".
                 '<input type="hidden" name="tid" value="'.$tid.'" />'."\n".
                 '<input type="submit" tabindex="4" accesskey="e" value="Edit" />'."\n".
                 "</p>\n".
                 "</form>\n";
        } else {
        echo '<h2>Welcome to '.$blog_title." Forum!</h2>\n".
         '<p>' . $lang['no_posts'] . "</p>\n";
        }
    }
} else {
    echo '<h2>Welcome to '.$blog_title." Forum!</h2>\n".
         '<p>' . $lang['no_posts'] . "</p>\n";
}
footer();
?>
