<?php
/**
 * Functions used in advanced search only
 *
 * $Id: include/search_plus.inc.php, 2004/04/13 02:20:48 Exp $
 */


/**
 * List up archives - 1
 */
function ls_archive1($sql, $d, $ti_num) {
    global $lang;
    $res = mysql_query($sql);
    echo '<select name="'.$d.'" tabindex="'.$ti_num.'" title="'.$lang['show_archives'].'">'."\n";
    while ($date_row = mysql_fetch_row($res)) {
        $year_month = "".$date_row[0]."";
        echo '<option>'.$year_month."</option>\n";
    }
    echo "</select>\n";
}


/**
 * List up archives - 2
 */
function ls_archive2($sql, $d, $ti_num) {
    global $lang;
    $res = mysql_query($sql);
    $row = mysql_fetch_row($res);
    echo '<input type="text" value="'.$row[0].'" name="'.$d.'" tabindex="'.$ti_num.'" accesskey="d" size="10" maxlength="10" />';
}


/**
 * List up by category
 */
function categories_name_array_plus($log_table, $enable_unicode, $mysql_lang) { 
    $sql = 'SELECT category FROM ' . $log_table; 
    $res = mysql_query($sql);
    $rowArray = array();
    while ($row = mysql_fetch_array($res)) {
        convert_to_utf8($enable_unicode, $row, $mysql_lang);
        $token = strtok($row['category'], ",");
        while ($token) {
            array_push($rowArray, trim($token));
            $token = strtok(",");
        }
    }
    $rowArray = array_count_values($rowArray);
    ksort($rowArray, SORT_STRING);
    return $rowArray;
}


/**
 * Category Chooser
 */
function select_categories_plus($log_table, $enable_unicode, $mysql_lang) {
    global $lang;
    foreach (categories_name_array_plus($log_table, $enable_unicode, $mysql_lang) as $str=>$num) {
        echo '<input type="checkbox" name="cat[]" value="' .rawurlencode($str). '" tabindex="9" accesskey="c" />'.
             '&nbsp;&nbsp;' .htmlspecialchars($str). ' (' .$num. ")<br />\n";
    }
}


/**
 * Main Interface of Advanced Search
 */
function display_search_plus($sql, $show_cat_num, $log_table, $enable_unicode, $mysql_lang) {
    global $lang;
    echo <<<EOD
<form method="get" action="./search_plus.php">
<table class="colored" summary="Advanced Search">

<!--//====================// 1st ROW OF THE TABLE //=======================//-->
<tr>
<th abbr="Advanced Search" colspan="2" class="colored"><em>{$lang['advanced_search']}</em>
</th>
</tr>

<!--//====================// 2nd ROW OF THE TABLE //=======================//-->
<tr>
<th abbr="Search Fields" class="colored">{$lang['search_field']}</th>
<td class="colored">
<select name="f" tabindex="1">
<option value="1" selected="selected">{$lang['title']}&nbsp;&amp;&nbsp;{$lang['comment']}</option>
<option value="2">{$lang['title']}</option>
<option value="3">URI</option>
<option value="4">{$lang['comment']}</option>
</select>
</td>
</tr>

<!--//====================// 3rd ROW OF THE TABLE //=======================//-->
<tr>
<th abbr="Keywords" class="colored">{$lang['keyword']}</th>
<td class="colored">
<input type="text" name="k" tabindex="2" accesskey="k" value="" size="32" />
<select name="ao" tabindex="3">
<option value="AND">{$lang['all_words']}</option>
<option value="OR">{$lang['at_least_one']}</option>
</select>
<br />
{$lang['case']}
<input type="radio" name="c" value="0" tabindex="4" accesskey="i" checked="checked" />{$lang['insensitive']}
<input type="radio" name="c" value="1" tabindex="5" accesskey="s" />{$lang['sensitive']}
</td>
</tr>

<!--//====================// 4th ROW OF THE TABLE //=======================//-->
<tr>
<th abbr="Date" class="colored">{$lang['date']}</th>
<td class="colored">
<input type="radio" name="ds" value="0" tabindex="6" accesskey="a" checked="checked" />{$lang['all_data']}<br />
<input type="radio" name="ds" value="1" tabindex="7" accesskey="m" />{$lang['by_month']}：
EOD;

    $sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM {$log_table} GROUP BY date ORDER BY date";
//    $sql = "SELECT DATE_FORMAT(date,'%Y-%m') as max(date) FROM {$log_table} GROUP BY date ORDER BY date";
    ls_archive1($sql, $d = 'd', $ti_num = '3');

echo <<<EOD
<br />
<input type="radio" name="ds" value="2" tabindex="8" accesskey="b" />{$lang['between']}：
EOD;

    $sql1 = "SELECT date FROM {$log_table} GROUP BY date ORDER BY date";
    ls_archive2($sql = $sql1, $d = 'd1', $ti_num = '4');
    echo $lang['and'];
    $sql2 = "SELECT date FROM {$log_table} GROUP BY date ORDER BY date DESC";
    ls_archive2($sql = $sql2, $d = 'd2', $ti_num = '5');

echo <<<EOD
</td>
</tr>

<!--//====================// 5th ROW OF THE TABLE //=======================//-->
<tr>
<th abbr="Category" class="colored">{$lang['category']}</th>
<td class="colored">
EOD;

    select_categories_plus($log_table, $enable_unicode, $mysql_lang);

echo <<<EOD
</td>
</tr>

<!--//====================// 6th ROW OF THE TABLE //=======================//-->
<tr>
<td colspan="2" class="colored-bottom">
<input type="hidden" name="p" value="0" />
<input type="hidden" name="pn" value="1" />
<input type="reset" tabindex="10" accesskey="r" value="{$lang['clear']}" />
<input type="submit" tabindex="9" accesskey="g" value="{$lang['go']}" />
</td>
</tr>

</table>

</form>
EOD;
}


// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>