<?php
/**
 * ローカライズ文字列 - 日本語
 *
 * $Id: lang/japanese.inc.php, 2004/04/17 19:31:27 Exp $
 */
//====================
// インデックスページ
//====================
$lang['prev_logs']   = '以前のログ';
$lang['by_date']     = '日付順';
$lang['by_category'] = 'カテゴリー別';

//====================
//フォーム
//====================
//共通
$lang['go']          = '検索';
$lang['clear']       = 'やり直し';
$lang['archives']    = '過去ログ';
$lang['all']         = '全て';

//検索フォーム
$lang['title']       = 'タイトル';
$lang['category']    = 'カテゴリー';
$lang['comment']     = 'コメント';
$lang['uri']         = 'URI';
$lang['date']        = '日付';
$lang['advanced_search'] = '詳細検索';

$lang['search_field']        = '検索範囲';
$lang['select_search_field'] = '検索範囲を指定して下さい。';
$lang['enter_keywords']      = 'キーワードを入力して下さい。';
$lang['too_short_keyword']   = 'キーワードが短すぎます。';
$lang['show_archives']       = '過去ログを月別リストアップします。';
$lang['all_words']    = '全ての語を含む';
$lang['at_least_one'] = 'いずれかの語を含む';
$lang['case']         = '大文字小文字を';
$lang['insensitive']  = '区別しない';
$lang['sensitive']    = '区別する';
$lang['between']      = '範囲を指定';
$lang['and']          = '&nbsp;から&nbsp;';

//CSSスイッチ
$lang['switch_css']  = 'CSS 選択';
$lang['css_off']     = '切';

//アップロード
$lang['file_name']   = 'ファイル名';
$lang['file_type']   = 'ファイルタイプ';
$lang['file_size']   = 'ファイルサイズ';
$lang['temp_name']   = '一時ファイル名';
$lang['error_msg']   = 'エラー';
$lang['upload_ok']   = 'アップロード : OK';
$lang['no_files_added'] = 'アップロードファイル : なし';
$lang['resource_dir'] = 'リソースディレクトリ';

//データ表示
$lang['no_posts']    = '現在ログはありません。';
$lang['no_files']    = '現在ファイルはありません。';
$lang['recent']      = ' 最近の ';
$lang['previous']    = ' 少し前の ';
$lang['logs']        = ' 件';
$lang['files']       = ' ファイル';
$lang['post']        = 'ポスト';
$lang['mod']         = '更新';
$lang['log']         = 'ログ';
$lang['showing']     = '表示 : ';

//検索結果
$lang['all_data']    = '全アーカイブ';
$lang['keyword']     = 'キーワード';
$lang['hit_msg']     = '件&nbsp;&nbsp;&nbsp;表示 :';
$lang['show_log']    = '件のログがあります。表示 :';
$lang['uri_hit']     = '<span class="search-res">URI</span>から検索、ヒット：';
$lang['categ_hit']   = '<span class="search-res">カテゴリー</span>から検索、ヒット：';
$lang['categ_list']  = 'このカテゴリーの登録数：';
$lang['comment_hit'] = '<span class="search-res">コメント</span>から検索、ヒット：';
$lang['title_hit']   = '<span class="search-res">タイトル</span>から検索、ヒット：';
$lang['title_comment_hit']   = '<span class="search-res">タイトル</span>と<span class="search-res">コメント</span>から検索、ヒット：';
$lang['binname_hit'] = '<span class="search-res">ファイル名</span>から検索、ヒット：';
$lang['bintype_hit'] = '<span class="search-res">ファイルタイプ</span>で検索、ヒット：';
$lang['bintype_list']= 'このファイルタイプの登録数：';
$lang['by_month']    = '検索月';
$lang['no_matches']  = '該当するデータはありません。';
$lang['search']      = '検索';
$lang['status_idle'] = '状態 : 待機中...';
$lang['prev']        = '前へ';
$lang['next']        = '次へ';

$lang['log_uri']     = 'この記事のURI';
$lang['flip_pages']  = 'ページ';
$lang['flip']        = '移動';

//================================
//管理者モード
//================================
$lang['admin']           = 'サイト管理';
$lang['analyze']         = 'アクセス解析';
$lang['edit']            = '編集';
$lang['select_mode']     = 'モード選択';
$lang['user_name']       = 'ユーザー名';
$lang['user_pass']       = 'パスワード';
$lang['login']           = 'ログイン';
$lang['logout']          = 'ログアウト';
$lang['login_user']      = 'ログインユーザー';
$lang['date_and_time']   = '日付と時刻';
$lang['use_custom_date'] = 'この日時を使う';
$lang['add_new']         = '新規ポスト';
$lang['mod_del']         = '修正・削除';
$lang['send_file']       = 'ファイルアップロード';
$lang['update_bin']      = 'バイナリデータ修正・削除';
$lang['binary']          = 'バイナリ';
$lang['no_update_timestamp'] = '更新時刻を変更しない';
$lang['post_log']        = 'ログをポスト';
$lang['post_file']       = 'ファイルをポスト';
$lang['preview']         = 'プレビュー';
$lang['publish']         = '公開する';
$lang['published']       = 'このログは公開されました。';
$lang['file_published']  = 'このファイルは公開されました。';
$lang['draft']           = '下書き';
$lang['draft_list']      = '下書きリスト';
$lang['draft_update']    = '下書きを修正';
$lang['draft_destroy']   = '下書きを破棄';
$lang['use_draft_time']  = '下書き時刻をポスト時刻とする';
$lang['draft_mod_del']   = '下書きの修正・破棄';
//Root Mode
$lang['create_accounts'] = '新規アカウント作成';

$lang['account_manager'] = 'アカウントマネージャー';
$lang['root_user_only']      = 'ルートユーザー専用';
$lang['enter_mysql_account'] = 'MySQLアカウントを入力';
$lang['login_success']       = 'ログイン認証完了';
$lang['user_list']           = 'ユーザーリスト';
$lang['regist_date']         = '登録日';
$lang['new_user_account']    = '新規ユーザーアカウント';
$lang['invalid_name']        = '不正ユーザー名';
$lang['invalid_name_msg']    = 'ユーザー名の書式が正しくありません。</p><p>ユーザー名は英数字2文字以上、16文字以内にして下さい。';
$lang['invalid_pass']        = '不正パスワード';
$lang['invalid_pass_msg']    = 'パスワードの書式が正しくありません。</p><p>パスワードは英数字4文字以上、16文字以内にして下さい。';
$lang['invalid_email']       = '不正メールアドレス';
$lang['invalid_email_msg']   = 'メールアドレスの書式が正しくありません。';
$lang['no_emal_host_msg']    = '存在しないホスト名のメールアドレスです。';
$lang['create']              = '&nbsp;作成&nbsp;';
$lang['new_user_created']    = '新規ユーザー作成完了';
$lang['new_user_created_success'] = '新規ユーザーアカウントを作成しました。';
$lang['update_user_account'] = 'ユーザーアカウント更新';
$lang['enter_a_new_pass']    = '新しいパスワードを入力';
$lang['save']                = '保存';
$lang['account_updated']     = 'アカウント更新完了';
$lang['account_updated_msg'] = 'ユーザーアカウント情報を更新しました。';
$lang['account_deleted']     = 'アカウント削除完了';
$lang['account_deleted_msg'] = 'ユーザーアカウント情報を削除しました。';

//ユーザー認証エラーメッセージ
$lang['wrong_user']  = 'ユーザー認証出来ません。';
$lang['bad_req']     = 'パスワード等に誤りがある可能性があります。';
$lang['please']      = 'して下さい。';

$lang['no_title']    = 'タイトルがありません。';
$lang['no_f_name']   = 'ファイル名がありません。';
$lang['no_uri']      = 'URIがありません。';
$lang['no_category'] = 'カテゴリーがありません。';
$lang['no_comment']  = 'コメントがありません。';

$lang['no_id']       = 'ID指定がありません。';
$lang['cant_find']   = 'データが見つかりません。';
$lang['log_added']   = '新規ログをポストしました。';
$lang['updated']     = 'を更新しました。';
$lang['deleted']     = 'を削除しました。';
$lang['del_failed']  = 'データ削除出来ませんでした。';

$lang['check']       = 'チェックする';
$lang['check_index'] = 'インデックスページをチェックする';
$lang['file']        = 'ファイル';
$lang['update']      = '更新';
$lang['delete']      = '削除';
$lang['send_img']    = '画像等をここへアップロード';
$lang['none']        = 'なし';

//================================
//システム情報
//================================
$lang['sys_env']     = 'システム環境';
$lang['db_info']     = 'データベース情報';
$lang['db_name']     = '接続されているデータベース';
$lang['log_entry']   = '登録されているログ数';
$lang['file_entry']  = '登録されているバイナリデータ数';
$lang['ui_info']     = 'UI情報';
$lang['css_cookie']  = 'CSS切り替えのクッキー有効期限(単位:秒)';
$lang['info']        = '情報';
$lang['manuals']     = 'マニュアル';

$lang['system_admin']    = 'システム管理';
$lang['db_table_status'] = 'DBテーブルステータス';
$lang['optimized_msg_1'] = 'テーブル「';
$lang['optimized_msg_2'] = '」を最適化しました。';

$lang['table_name']    = 'テーブル名';
$lang['records']       = 'レコード数';
$lang['size']          = 'サイズ';
$lang['overhead']      = 'オーバーヘッド'; 
$lang['optimize']      = '最適化';
$lang['select_all']    = '全てを選択';
$lang['select_off']    = '選択を解除';
$lang['backup']        = 'バックアップ';
$lang['choose_table']  = 'テーブルを選択して下さい。';

//================================
//アクセス解析
//================================
$lang['year']          = '年';
$lang['month']         = '月';
$lang['day']           = '日';
$lang['total']         = '総計';
$lang['hits_per_hour'] = '時間別アクセス情報';
$lang['remote_host']   = 'ホスト・IPアドレス情報';
$lang['user_agent']    = 'ブラウザとOS情報';
$lang['referer']       = 'リンク元取得情報';
$lang['daily']         = 'ここ1ヶ月間の日別統計';
$lang['monthly']       = '月別統計';
$lang['yearly']        = '年別統計';
$lang['downloads']     = 'ダウンロード';
$lang['del_all_logs']  = '全てのログを削除';
$lang['logs_deleted']  = '全てのログを削除しました。';
$lang['magic_words']   = 'マジックワード';

//================================
//フォーラム
//================================
$lang['forum']         = 'フォーラム';
$lang['forum_admin']   = 'フォーラム管理';
$lang['topic_list']    = 'トピックリスト';
$lang['topic']         = 'トピック';
$lang['thread']        = 'スレッド';
$lang['reply']         = 'レス';
$lang['back_to_topic'] = 'トピックに戻る';
$lang['name']          = '名前';
$lang['posted_by']     = '投稿者';
$lang['private']       = '公開されません';
$lang['optional']      = 'オプション';
$lang['last_modified'] = '最終更新';
$lang['topics']        = '件のトピックがあります。';
$lang['comments']      = '件のコメントがあります。';
$lang['comment_added'] = 'コメントを書き込みました。';
$lang['replied']       = 'レスを書き込みました。';
$lang['quote']         = '引用';
$lang['no_tbl_msg']    = 'フォーラム用のDBテーブルがありません。';
$lang['install_or_update_msg']    = 'データベースの新規インストール、又はアップデートを実行して下さい。';
$lang['install']       = '新規インストール';
$lang['update']        = '修正';

if (stristr($_SERVER['PHP_SELF'], ".inc.php")){
	die("hello, world! :-P");
}
?>