<?php
/**
 * P_BLOG Feedback System 1.1J
 * 
 * $Id: 2004/01/26 21:52:40 Exp $
 */

//////////////////*  SETTINGS  *//////////////////////

// Target link
$action_target = 'index.php?id=feedback';

//////////////////*  SETTINGS  *//////////////////////

// Deny direct access
if (stristr($_SERVER['PHP_SELF'], ".inc.php")){
	die("hello, world! :-p");
}

// Multibyte setting
// mb_language("Japanese");
// mb_internal_encoding('UTF-8');

if (isset($_POST['y_name'], $_POST['e_mail'], $_POST['subject'], $_POST['message'], $_GET['id'])) {
    if ($_POST['y_name'] == '') {
        echo '<h2>名前がありません</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;名前を書いて下さい。</p>';
    } elseif ($_POST['e_mail'] == '') {
        echo '<h2>メールアドレスがありません</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;メールアドレスを書いて下さい。</p>';
    } elseif (($_POST['e_mail'] != '') && (!preg_match('/^[^@\s]+@([-a-z0-9]+\.)+[a-z]{2,}$/i', $_POST['e_mail']))) {
        echo '<h2>不正なメールアドレスです</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;メールアドレスの書式が正しくありません。</p>';
    } elseif ($_POST['message'] == '') {
        echo '<h2>メッセージがありません</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;メッセージを書いて下さい。</p>';
    } else {
        $y_name          = trim(htmlspecialchars(strip_tags($_POST['y_name'])));
        $e_mail          = trim(htmlspecialchars(strip_tags($_POST['e_mail'])));
        $message         = trim(htmlspecialchars(strip_tags($_POST['message'])));
        $mutable_message = "送信者：".$y_name."\nE-Mail: ".$e_mail."\n\nコメント；\n".$message."\n";
        
        $subject = $_POST['subject'];
        //$subject = $blog_title. ' : Feedback';
        // Preview
        if ((isset($_POST['preview']) && ($_POST['preview'] != ''))) {
            echo '<h2>プレビュー</h2>'.
                 '<h3>'  .$subject. '</h3>'.
                 '<pre>' .$mutable_message. '</pre>'.
                 '<form method="post" action="'.$action_target.'">'.
                 '<input type="hidden" name="y_name" value="'  .$y_name.  '">'.
                 '<input type="hidden" name="e_mail" value="'  .$e_mail.  '">'.
                 '<input type="hidden" name="subject" value="' .$subject. '" />'.
                 '<input type="hidden" name="message" value="' .$message. '">'.
                 '<input type="submit" name="ok" value="&nbsp;この内容で送信&nbsp;" />'.
                 '</form>';
        }
        // Send
        if ((isset($_POST['ok'])) && ($_POST['ok'] != '')) {
            mb_language("ja");
            mb_internal_encoding("UTF-8");
            
            // Convert encoding            
            $subject = stripslashes($subject);
//            $subject = mb_convert_encoding($subject, "ISO-2022-JP", "auto");
//             
            // $subject = addslashes($subject);
            if (preg_match('/[\x80-\xA0]/', $subject)) {
                $subject = mb_convert_encoding($subject, "ISO-2022-JP", "auto");
            }


            // 参照：
            // http://www.komonet.ne.jp/~php/chap15.htm
            //$subject = mb_encode_mimeheader($subject, "JIS", "B", "\n\n");
            
            $mutable_message  = $mutable_message;
            $mutable_message .= "\n\n-----------------------------------------------------------------------------------------------------------\n";
            $mutable_message .= "Browser：".$_SERVER['HTTP_USER_AGENT']."\n";
            if (!isset($_SERVER['REMOTE_HOST'])) {
                $_SERVER['REMOTE_HOST'] = @gethostbyaddr($_SERVER['REMOTE_ADDR']);
                $re_host = $_SERVER['REMOTE_HOST'];
            } else {
                $re_host = $_SERVER['REMOTE_HOST'];
            }
            $mutable_message .= "Host：".$re_host."\n";
            $mutable_message .= "Date: ". date("F j, Y, g:i a");
            
            $mutable_message = mb_convert_encoding($mutable_message, "JIS", "auto");
            $header          = "From: ".mb_encode_mimeheader($y_name)."<{$e_mail}>\n";
            $header         .= "X-Mailer: P_BLOG Feedback System 1.0J";
            $param           = "-f{$sendmail_address}";
            if (mb_send_mail($sendmail_address, $subject, $mutable_message, $header, $param)) {
                echo '<h2>Thank You.</h2>'.
                     '<p>フィードバックメールを送信しました。</p>';
            } else {
                echo '<h2>Oops.</h2>'.
                     '<p>メール送信エラー</p>';
            }
        }
    }
} else { // Default
    if (isset($_GET['a_id']) && ($_GET['a_id'] != '')) {
        $a_id = $_GET['a_id'];
        $a_id = $_GET['a_id'];
        $sql = 'SELECT name FROM ' .$log_table. " WHERE id ='" .$a_id. "'";
        $res = mysql_query($sql);
        $row = mysql_fetch_array($res);
        $res_article_title = $row[0];
        $a_title = mb_convert_encoding($res_article_title, "utf-8", $mysql_lang);
        $subject = 'Re : ' . $a_title;
    } else {
        $subject = $blog_title. ' : Feedback';
    }
    echo '<h2>'.$subject.'</h2>';
    if ($sendmail_address == '' || $sendmail_address == 'yourname@example.com' || $use_feedback_form != 'yes') {
        echo '<p>フィードバックフォーム機能は現在オフになっています。</p>';
    }
    echo '<form method="post" action="'.$action_target.'">'.
         '<p>'.
         '名前:<br />'.
         '<input type="text" name="y_name" size="30" accesskey="n" tabindex="1" value="" class="bordered" /><br />'.
         'メールアドレス:<br />'.
         '<input type="text" name="e_mail" size="30" accesskey="e" tabindex="2" value="" class="bordered" /><br />'.
         'メッセージ:<br />'.
         '<textarea name="message" rows="20" cols="40" accesskey="m" tabindex="4"></textarea>'.
         '</p>'.
         '<p>'.
         '<input type="hidden" name="subject" value="'. $subject . '" />'."\n".
         '<input type="submit" name="preview" value="プレビュー" />'.
         '<input type="reset" value="書き直し" />'.
         '</p>'.
         '</form>';        
}

?>
